Loading...
Searching...
No Matches
mbedtls_ssl_premaster_secret Union Reference

`#include <ssl.h>`

## Data Fields

unsigned char | dummy
unsigned char | _pms_rsa [48]
unsigned char | _pms_dhm [MBEDTLS_MPI_MAX_SIZE]
unsigned char | _pms_ecdh [MBEDTLS_ECP_MAX_BYTES]
unsigned char | _pms_psk [4+2 *MBEDTLS_PSK_MAX_LEN]
unsigned char | _pms_dhe_psk [4+MBEDTLS_MPI_MAX_SIZE+MBEDTLS_PSK_MAX_LEN]
unsigned char | _pms_rsa_psk [52+MBEDTLS_PSK_MAX_LEN]
unsigned char | _pms_ecdhe_psk [4+MBEDTLS_ECP_MAX_BYTES+MBEDTLS_PSK_MAX_LEN]

## Detailed Description

Definition at line 691 of file ssl.h.

## Field Documentation

## _pms_dhe_psk

unsigned char mbedtls_ssl_premaster_secret::_pms_dhe_psk[4+MBEDTLS_MPI_MAX_SIZE+MBEDTLS_PSK_MAX_LEN]

Definition at line 709 of file ssl.h.

## _pms_dhm

unsigned char mbedtls_ssl_premaster_secret::_pms_dhm[MBEDTLS_MPI_MAX_SIZE]

Definition at line 697 of file ssl.h.

## _pms_ecdh

unsigned char mbedtls_ssl_premaster_secret::_pms_ecdh[MBEDTLS_ECP_MAX_BYTES]

Definition at line 703 of file ssl.h.

## _pms_ecdhe_psk

unsigned char mbedtls_ssl_premaster_secret::_pms_ecdhe_psk[4+MBEDTLS_ECP_MAX_BYTES+MBEDTLS_PSK_MAX_LEN]

Definition at line 716 of file ssl.h.

## _pms_psk

unsigned char mbedtls_ssl_premaster_secret::_pms_psk[4+2 *MBEDTLS_PSK_MAX_LEN]

Definition at line 706 of file ssl.h.

## _pms_rsa

unsigned char mbedtls_ssl_premaster_secret::_pms_rsa[48]

Definition at line 694 of file ssl.h.

## _pms_rsa_psk

unsigned char mbedtls_ssl_premaster_secret::_pms_rsa_psk[52+MBEDTLS_PSK_MAX_LEN]

Definition at line 713 of file ssl.h.

## dummy

unsigned char mbedtls_ssl_premaster_secret::dummy

Definition at line 692 of file ssl.h.

The documentation for this union was generated from the following file:

- ssl.h